
Foreman - Bug #14228

running single test fails due to FileUtils not being required

03/16/2016 08:36 AM - Tom Caspy

Status: Closed   

Priority: Normal   

Assignee: Ori Rabin   

Category: Tests   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3333

  

Description

caused by https://github.com/theforeman/foreman/commit/26dade0f18bba02430bec08283a47ba039173f37

Related issues:

Related to Foreman - Bug #14097: Only run DatabaseCleaner as 'truncation' on ... Closed 03/08/2016

Associated revisions

Revision 86aa4085 - 03/16/2016 10:23 AM - Ori Rabin

Fixes #14228 - requiring fileutils in test_helper

History

#1 - 03/16/2016 08:40 AM - Dominic Cleal

- Related to Bug #14097: Only run DatabaseCleaner as 'truncation' on JS tests added

#2 - 03/16/2016 08:40 AM - Dominic Cleal

- Category set to Tests

What's the stack trace, command/output?

#3 - 03/16/2016 08:43 AM - Ori Rabin

when running ruby -Itest test/unit/lookup_key_test.rb:

/home/orabin/foreman/test/test_helper.rb:12:in `block in <top (required)>': uninitialized constant FileUtils (

NameError)

from /home/orabin/.rvm/gems/ruby-2.2.3@foreman/gems/spork-1.0.0rc4/lib/spork.rb:24:in `prefork'

from /home/orabin/foreman/test/test_helper.rb:4:in `<top (required)>'

from /home/orabin/.rvm/rubies/ruby-2.2.3/lib/ruby/site_ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in `r

equire'

from /home/orabin/.rvm/rubies/ruby-2.2.3/lib/ruby/site_ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in `r

equire'

from test/unit/lookup_key_test.rb:1:in `<main>'

#4 - 03/16/2016 08:49 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3333 added

#5 - 03/16/2016 08:52 AM - Dominic Cleal

Thanks, I see it now.  I usually use "bundle exec" and Bundler loads FileUtils, so don't see this error (probably the same for rake too).

It happens any time log/test.log exists after a test run - may not be related to #14097.  Deleting the file first works around it too.

#6 - 03/16/2016 11:02 AM - Ori Rabin
https://github.com/theforeman/foreman/commit/26dade0f18bba02430bec08283a47ba039173f37
https://projects.theforeman.org/issues/14097


- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 86aa4085af9f5a2b9a8ef6207022f0781bc0d48e.

#7 - 03/16/2016 11:04 AM - Dominic Cleal

- translation missing: en.field_release set to 136
